%define version 0.9.5
%define release %mkrel 1

# this situation is similar to Berkeley DB
%define libname %mklibname Eterm %{version}
%define staticlibname %mklibname -d -s Eterm
%define __libtoolize    /bin/true

Summary:	Terminal emulator
Name:		Eterm
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Terminals
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://eterm.sourceforge.net/
Source0:	http://www.eterm.org/download/%{name}-%{version}.tar.bz2
Source5:	http://www.eterm.org/download/%{name}-bg-0.9.3.tar.bz2
Patch1:		eterm_0.9.5_utf8_hack.patch	
BuildRequires:	imlib2-devel
BuildRequires:	libast-devel >= 0.5
BuildRequires:	pcre-devel gdb
BuildRequires:	utempter-devel
BuildRequires:	libxt-devel twin-devel
BuildRequires:  groff-for-man man freetype-devel
Requires(pre):	ncurses
Requires(pre):	diffutils
Obsoletes:	libEterm0.9.3

%description
Eterm is a color vt102 terminal emulator intended as a replacement for Xterm.
It is designed with a Freedom of Choice philosophy, leaving as much power,
flexibility, and freedom as possible in the hands of the user.

It is designed to look good and work well, but takes a feature-rich approach
rather than one of minimalism while still maintaining speed and efficiency.

It works on any windowmanager/desktop environment, although it is designed
to work and integrate best with Enlightenment.

%package	devel
Summary:	Devel files for Eterm
Group:		Development/Other
Requires:	%{name} = %{version}

%description	devel
Eterm is a color vt102 terminal emulator intended as a replacement for Xterm.
It is designed with a Freedom of Choice philosophy, leaving as much power,
flexibility, and freedom as possible in the hands of the user.

It is designed to look good and work well, but takes a feature-rich approach
rather than one of minimalism while still maintaining speed and efficiency.

It works on any windowmanager/desktop environment, although it is designed
to work and integrate best with Enlightenment.

This package provides the necessary development libraries and include files
to allow you to develop or compile programs that needs Eterm, though no such
program has existed so far.

%prep
%setup -q -a5
%patch1 -p1

find themes/ -name 'theme.cfg.in' -print0 | xargs -0 -r perl -pi -e 's/term_name Eterm/term_name xterm/'

%build
%configure2_5x \
  --enable-etwin \
  --enable-escreen-fx \
  --enable-profile \
  --enable-trans \
  --with-backspace=bs \
  --enable-mmx \
  --enable-utmp \
  --with-delete=execute \
  --enable-auto-encoding \
  --enable-multi-charset \
  --enable-xim \
  --enable-greek

%make


%install
rm -fr %buildroot
%makeinstall_std

# Install menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Eterm
Comment=Enlightened Terminal Emulator
Exec=%{name}
Icon=terminals_section
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Terminals;TerminalEmulator;;
EOF

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
%{update_menus}
update-alternatives --install /usr/bin/xvt xvt /usr/bin/Eterm 15

if [ -d %{_datadir}/terminfo -a ! -f %{_datadir}/terminfo/E/Eterm ]; then
    tic -o %{_datadir}/terminfo %{_datadir}/doc/%{name}-%{version}/%{name}.ti
fi

%{_bindir}/Etbg_update_list

%postun
%{clean_menus}	
[ "$1" = "0" ]&& update-alternatives --remove xvt /usr/bin/Eterm


%files
%defattr(-, root, root,0755)
%doc ChangeLog README ReleaseNotes doc/Eterm.ti doc/Eterm_reference.html doc/README.Escreen doc/escreen.cfg doc/gen-menus
%{_bindir}/*
%dir %{_datadir}/Eterm
%config(noreplace) %{_datadir}/Eterm/themes
%{_datadir}/Eterm/pix
%{_mandir}/man1/Eterm.1.*
%{_datadir}/applications/%name.desktop
%{_datadir}/%name/gdb.scr
%defattr(-, root, root,0755)
%{_libdir}/libEterm-*.so


%files devel
%defattr(-,root,root,-)
%{_libdir}/*.la
%{_libdir}/libEterm.so
%exclude %{_libdir}/*.a


%changelog
* Wed May 26 2009 Texstar <texstar@gmail.com> 0.9.5-1pclos2009
- 0.9.5

